thrift-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Phillip B Oldham <phillip.old...@gmail.com>
Subject Re: Installing thrift with Python 2.6?
Date Tue, 10 Feb 2009 19:27:34 GMT
Still fails. I've tried various python2.6 directories, and nothing
seems to work. I *have* managed to get it to compile correctly,
however, by removing the /usr/bin/python binary (which was a duplicate
of the python2.4 binary) and symlinking the binary for 2.6 in its
place. The thrift compilation then registered and built against 2.6.
Afterwards I re-linked to 2.4 so yum would continue to work without
issue.

Maybe this should be raised as a bug?

On Tue, Feb 10, 2009 at 7:08 PM, David Reiss <dreiss@facebook.com> wrote:
> PY_PREFIX is where the Python libraries will be installed.
> Try running ./configure PYTHON=/path/to/python2.6
>
> Phillip B Oldham wrote:
>> What should one use as the PY_PREFIX to install thrift for Python 2.6?
>> I've tried everything but the ./configure script reports that its
>> going to compile for 2.4 (the base install; python2.6 was compiled
>> using "altinstall").
>>
>



-- 
Phillip B Oldham
phillip.oldham@gmail.com
+44 (0) 7525 01 09 01

Mime
View raw message